%define name python-geoip
%define version 1.2.7
%define release %mkrel 2
%define oname GeoIP-Python

Summary: Python bindings for the GeoIP library
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://geolite.maxmind.com/download/geoip/api/python/%{oname}-%{version}.tar.gz
URL: http://www.maxmind.com/app/python
License: BSD-like
Group: Development/Python
BuildRequires: python-devel
BuildRequires: geoip-devel

%description
This is the Python API to the GeoIP library that enables the user to
find the country that any IP address or hostname originates from. It
uses a file based database that is accurate as of March 2003. This
database simply contains IP blocks as keys, and countries as
values. This database should be more complete and accurate than using
reverse DNS lookups. Commercial databases and automatic update
services are available from http://www.maxmind.com/

%prep
%setup -q -n %oname-%version

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%py_platsitedir/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.2.7-2.mga3
+ Revision: 378891
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 11 2012 philippem <philippem> 1.2.7-1.mga3
+ Revision: 329810
- Update to 1.2.7

  + ahmad <ahmad>
    - Replace libgeoip-devel with geoip-devel

* Wed Jun 15 2011 ahmad <ahmad> 1.2.5-1.mga2
+ Revision: 106353
- Update to 1.2.5
- Replace the deprecated %%py_requires macro with BR python-devel
- imported package python-geoip

